Packaging incorrect since moz23

RESOLVED FIXED

Status

Chat Core
General
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: aleth, Assigned: florian)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [1.5-blocking][regression])

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
*** Original post on bio 2144 at 2013-09-01 17:43:00 UTC ***

- Nightly size is suddenly 44M.

- Error console on startup: Duplicate registrations and definitions, i.e.
Warning: Duplicate resource declaration for 'gre-resources' ignored.
Warning: Trying to re-register CID already registered by ...
Warning: Attempting to register a binary component twice.

- Plenty of Test* files in the instantbird directory.
(Reporter)

Updated

4 years ago
Blocks: 955469
(Reporter)

Updated

4 years ago
Whiteboard: [1.5-wanted]
(Assignee)

Updated

4 years ago
Whiteboard: [1.5-wanted] → [1.5-blocking][regression]
*** Original post on bio 2144 at 2013-09-10 14:23:21 UTC ***

The problem with the test files and the three different kind of warnings on the error console also exists on Windows.
I don't know about the size of nightlies.
OS: Linux → All
Summary: Packaging incorrect on Linux since moz23 → Packaging incorrect since moz23
(Assignee)

Comment 2

4 years ago
Created attachment 8354682 [details] [diff] [review]
Patch

*** Original post on bio 2144 as attmnt 2912 at 2013-09-28 22:52:00 UTC ***

The problem here is that MOZ_CHILD_PROCESS_NAME isn't defined in the Makefile of instantbird/installer and so @BINPATH@/@MOZ_CHILD_PROCESS_NAME@ in the package manifest becomes just bin/, causing the packager to include all the files in that folder.

The correct fix for this is in bug 955633 (bio 2188), but unfortunately I haven't been able to make it work :-/.

Assuming we can't get the sub-configure fixed in the near future, we need a short term solution for 1.5.
In the attached patch, I'm just duplicating the code used in mozilla/configure.in to set the relevant variables (I simplified a bit by removing the Android part).

I think that's the most reasonable short term fix, and I've just pushed it as http://hg.instantbird.org/instantbird/rev/504d2a007b66 with r=bustage-fix.
(Assignee)

Updated

4 years ago
Assignee: nobody → florian
(Reporter)

Comment 3

4 years ago
*** Original post on bio 2144 at 2013-09-30 18:55:12 UTC ***

Thanks!

NB It is likely that most nightly users need to do a fresh install for the excess files to be removed (at least, I had to do it that way).
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
*** Original post on bio 2144 at 2013-09-30 19:01:24 UTC ***

(In reply to comment #3)
> NB It is likely that most nightly users need to do a fresh install for the
> excess files to be removed (at least, I had to do it that way).

We could use the removed-files.in thing to handle this if we wanted...
(Assignee)

Comment 5

4 years ago
*** Original post on bio 2144 at 2013-09-30 20:38:21 UTC ***

(In reply to comment #4)
> (In reply to comment #3)
> > NB It is likely that most nightly users need to do a fresh install for the
> > excess files to be removed (at least, I had to do it that way).
> 
> We could use the removed-files.in thing to handle this if we wanted...

If it doesn't break anything and just causes a little bit of wasted disk space only for nightly users, I don't think we should bother with that.
(Reporter)

Comment 6

4 years ago
*** Original post on bio 2144 at 2013-09-30 20:43:07 UTC ***

(In reply to comment #5)
> If it doesn't break anything and just causes a little bit of wasted disk space
> only for nightly users, I don't think we should bother with that.

It doesn't break anything, but it does cause those warnings from comment 0. I don't think it's worth spending time on though. Nightly users should be skilful enough to update by hand ;)
You need to log in before you can comment on or make changes to this bug.